Secrets of Toanium - Bug #382

Manually added tile images cause map editor crash
05/15/2025 06:14 PM - Administrator Administrator

Status: Closed Start date: 05/15/2025
Priority: High Due date:

Assignee: Jay Gischer % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

The images appear to not be shown in either the Tile Editor, Map Editor or Level Editor. The map in question is Room With A View
of Hell.

This is probably related to the third-party image serving we are doing now, and a failure to disambiguate where a particular asset is
stored.

History

#1 - 05/20/2025 08:25 PM - Administrator Administrator
- Subject changed from Manually added tile images are lost and not shown to Manually added tile images cause map editor crash
- Assignee changed from Jay Gischer to Frank Fernandez

- Priority changed from Normal to High

| create a new map. It begins blank. The console looks ok.
| add an image from my system to create a new map. It does not appear. In the console, | see this:

{moduleType: 'Tile', name: 'Unnamed Tile', imageld: ", imageUrl: ", xOffset: 0, ...}

tiles.js:126 {filename: 'ComplexBluesTile0.png', imageld: 'D3YgrXXst2LtcqNjK', xOffset: 0, yOffset: 0, xScale: 1, ...}
maps.js:309 Map width: 20

maps.js:310 Map height: 20

meteor.js?hash=857dafb4b9dff17e29ed8498a22ea5b1a3d6b41d:1059 Exception from Tracker recompute function:
meteor.js?hash=857dafb4b9dff17e29ed8498a22ea5b1a3d6b41d:1059 TypeError: Cannot read properties of undefined (reading 'length’)
at maps.js:265:33

at Array.forEach (<anonymous>)

at loadMapFeatures (maps.js:218:13)

at Blaze.View.<anonymous> (mapEditor.js:56:7)

at view.js:196:20

at Template._withTemplatelnstanceFunc (template.js:493:14)

at view.js:194:29

at Blaze._withCurrentView (view.js:533:12)

at viewAutorun (view.js:193:18)

at Computation._compute (tracker.js:308:7)

It appears to have some issue with the walls.

If 1 'Add system image' | get a crash in the exact same place.

#2 - 05/23/2025 02:10 AM - Frank Fernandez
- Status changed from New to Resolved

- Assignee changed from Frank Fernandez to Jay Gischer

Should be fixed now.

#3 - 05/23/2025 08:53 PM - Administrator Administrator

- Status changed from Resolved to Closed

Pushed in 0.27.3
